%define momorel 3
%define iplog_user	iplog
%define iplog_piddir	/var/run/iplog
%define iplog_pidfile	%{iplog_piddir}/iplog.pid

Summary: Logs TCP, UDP, and ICMP connections to syslog.
Name: iplog
Version: 2.2.3
Release: %{momorel}m
Source0: http://us.dl.sourceforge.net/ojnk/%{name}-%{version}.tar.gz
NoSource: 0
Source1: iplog-init_script.sh
Source2: iplog.conf.in
License: GPL
Group: System Environment/Base
BuildRequires: libpcap
Prereq: chkconfig, shadow-utils
URL: http://ojnk.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
iplog is a TCP/IP traffic logger.  Currently, it is capable of logging 
TCP, UDP and ICMP traffic.  Adding support for other protocols
should be relatively easy.  iplog contains a built-in packet filter,
allowing for logging or excluding packets that fit a given set of
criteria.

%prep
rm -rf %{buildroot}
%setup -q

%build
%configure
make -j%{_numjobs} || :
make

%install
%makeinstall

mkdir -p %{buildroot}/%{_initscriptdir}
cp %SOURCE1 %{buildroot}/%{_initscriptdir}/iplog
sed -e 's|@IPLOG_USER@|%{iplog_user}|g' \
    -e 's|@IPLOG_GROUP@|%{iplog_user}|g' \
    -e 's|@PID_FILE@|%{iplog_pidfile}|g' \
       %SOURCE2 > %{buildroot}/%{_sysconfdir}/iplog.conf

%post
/sbin/chkconfig --add iplog

if ! grep -q '^%{iplog_user}:' /etc/passwd
then
    /usr/sbin/useradd -M -r -d "/" -s "/bin/false" -c "iplog sandbox" %{iplog_user}
fi

if [ ! -d %{iplog_piddir} ]
then
    mkdir -p %{iplog_piddir}
    chown %{iplog_user}:%{iplog_user} %{iplog_piddir}
    chmod 755 %{iplog_piddir}
fi

if [ -r %{iplog_pidfile} ]
then
    %{_initscriptdir}/iplog restart
fi

%preun
if [ "$1" = 0 ]
then
    if [ -r %{iplog_pidfile} ]
    then
	%{_initscriptdir}/iplog stop
    fi

    /sbin/chkconfig --del iplog

    rmdir %{iplog_piddir}

    if grep -q '^%{iplog_user}:' /etc/passwd
    then
	/usr/sbin/userdel %{iplog_user}
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README TODO NEWS ChangeLog
%config(noreplace) %{_initscriptdir}/*
%config(noreplace) %{_sysconfdir}/iplog.conf
%{_mandir}/man5/*
%{_mandir}/man8/*
%_sbindir/*

%changelog
* Tue Apr 29 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.3-3m)
- not active by default 

* Sun Mar 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.3-2m)
- fix URL

* Mon Jan 27 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (2.2.3-1m)
- port from Mandrake (2.2.3-2mdk)

* Fri May 18 2001  <warly@mandrakesoft.com> 2.2.3-2mdk
- add init.d file

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- used srpm from Vlatko Kosturjak <kost@iname.com> :
	- new release

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.1-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Warly <warly@mandrakesoft.com> 2.2.1-1mdk
- new release

* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-1mdk
- new release
- use new macros

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> 2.1.1-1mdk
- v2.1.1
- spechelper
- new group:

* Tue Feb 15 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v2.1.0

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First spec file for Mandrake distribution.
